library(RPostgreSQL)
library(tm)
library(RTextTools)
library(cldr)
library(slam)

### Prerequisite ---------------------------------------------------------------
# list of disasters
disasters <- read.csv('./02_disasters.csv', header=TRUE, stringsAsFactors=FALSE)

# database connect credentials
db.user <- "twitter"
db.pass <- "111"

### experiment -----------------------------------------------------------------

### one event
disNum <- 1
source('./10_hashtags.R')

### process in loop
for (disNum in c(1:4)) {
  source('./10_hashtags.R')
  dis.name <- disasters$comment[disNum]
  cat(sprintf("Hashtags for `%s`:\n", dis.name))
  print(hashtags$tag)
  write(hashtags$tag, file=sprintf("./result/%02d-%s.txt", disNum, dis.name))
}
